Subject: [Idr] [Errata Held for Document Update] RFC6793 (4538)

From: RFC Errata System <[email-masked]>
Date: Mon, 23 Nov 2015 10:56:41 -0800 (PST)

The following errata report has been held for document update 
for RFC6793, "BGP Support for Four-Octet Autonomous System (AS) Number Space". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6793&eid=4538

--------------------------------------
Status: Held for Document Update
Type: Technical

Reported by: Warren Kumari <[email-masked]>
Date Reported: 2015-11-19
Held by: Alvaro Retana (IESG)

Section: 8

Original Text
-------------
If the BGP4-MIB [RFC4273] is supported, there are no additional
manageability concerns that arise from the use of four-octet AS
numbers, since the InetAutonomousSystemNumber textual convention
[RFC4001] is defined as Unsigned32.

Corrected Text
--------------
If the BGP4-MIBv2 [draft-ietf-idr-bgp4-mibv2] is supported, there are 
no additional manageability concerns that arise from the use of 
four-octet AS numbers, since the InetAutonomousSystemNumber 
textual convention [RFC4001] is defined as Unsigned32.

Notes
-----
I do not have corrected text. RFC4273 does not use InetAutonomousSystemNumber for AS numbers:
bgpPeerRemoteAs OBJECT-TYPE
            SYNTAX     Integer32 (0..65535)
            MAX-ACCESS read-only
            STATUS     current
            DESCRIPTION
                    \\\\\\\\\\\\\\\\"The remote autonomous system number received in
                     the BGP OPEN message.\\\\\\\\\\\\\\\\"
            REFERENCE
                    \\\\\\\\\\\\\\\\"RFC 4271, Section 4.2.\\\\\\\\\\\\\\\\"
            ::= { bgpPeerEntry 9 }

This uses \\\\\\\\\\\\\\\\"Integer32 (0...65535)\\\\\\\\\\\\\\\\" (note, Integer, not Unsigned Int). 
It is unclear to me how to fix this, I know some folk are simply treating it as a UInt32.

=====
The report is correct, rfc4273 can\\'t support 4-byte ASNs.

After consulting with the authors and the WG, it seems like the correct reference should have been 
draft-ietf-idr-bgp4-mibv2 (BGP4 MIBv2).   Besides the corrected text above, an Informative Reference should be added to draft-ietf-idr-bgp4-mibv2.

--------------------------------------
RFC6793 (draft-ietf-idr-rfc4893bis-07)
--------------------------------------
Title               : BGP Support for Four-Octet Autonomous System (AS) Number Space
Publication Date    : December 2012
Author(s)           : Q. Vohra, E. Chen
Category            : PROPOSED STANDARD
Source              : Inter-Domain Routing
Area                : Routing
Stream              : IETF
Verifying Party     : IESG